LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File mod_nss-overlapping_memcpy.patch of Package apache2-mod_nss (Project mozilla)

Bug 669118

memcpy of overlapping memory is no longer allowed by glibc.

This is mod_ssl bug https://issues.apache.org/bugzilla/show_bug.cgi?id=45444

--- mod_nss-1.0.8.orig/nss_engine_io.c	2011-01-12 12:31:27.339425702 -0500
+++ mod_nss-1.0.8/nss_engine_io.c	2011-01-12 12:31:35.507405595 -0500
@@ -123,13 +123,13 @@
 
     if (buffer->length > inl) {
         /* we have have enough to fill the caller's buffer */
-        memcpy(in, buffer->value, inl);
+        memmove(in, buffer->value, inl);
         buffer->value += inl;
         buffer->length -= inl;
     }
     else {
         /* swallow remainder of the buffer */
-        memcpy(in, buffer->value, buffer->length);
+        memmove(in, buffer->value, buffer->length);
         inl = buffer->length;
         buffer->value = NULL;
         buffer->length = 0;